#pragma once

#include "stdafx.h"

class VFDemoOptions
{
public:
	int b_CheckLowQuality_;
	int b_CheckMinMinutia_;
	int b_CheckPromptForInfo_;
	int b_SearchForDuplicates_;
	int b_WarnIfIdsDiffers_;
	int e_MinMinutiaCount_;
	int b_AutoMatch_;
	int b_AllResults_;
	VFDemoOptions(void);
	~VFDemoOptions(void);
};

class VFingerOptions
{
public:
	int c_ScanMode_;
	double c_FGThreshold_;
	double c_FMThreshold_;
	int c_FGReturnedImages_;
	int e_FGMaximalRotation_;
	int e_FMMaximalRotation_;
	int s_FMMatchingSpeed_;
	VFingerOptions(void);
	~VFingerOptions(void);
};


void InitializeDefaultVFDemoOptions(VFDemoOptions* options);
void InitializeDefaultVFOptions(VFingerOptions* options);

BOOL LoadVFDemoOptions (VFDemoOptions* options,MSXML2::IXMLDOMDocumentPtr &XMLDocument);
BOOL LoadVFOptions (VFingerOptions* options,MSXML2::IXMLDOMDocumentPtr &XMLDocument);

int GetXMLAttributeInt (MSXML2::IXMLDOMElementPtr spXMLElement,_bstr_t attributeName);
CString GetXMLAttributeString (MSXML2::IXMLDOMElementPtr spXMLElement,_bstr_t attributeName);
double GetXMLAttributeDouble (MSXML2::IXMLDOMElementPtr spXMLElement,_bstr_t attributeName);

double NVLdouble (double value,double defaultValue);
int NVLint (int value,int defaultValue);
CString NVLstring (CString value,CString defaultValue);
