#pragma once

#include "Controls.h"
#include "GUIThreads.h"

class CWaitForm: public CForm
{
private:
	CGUIThread * thread;
	string message;

protected:
	LRESULT OnMessage(UINT message, WPARAM wParam, LPARAM lParam);
	void OnFirstShow();
	LRESULT OnPaint(WPARAM wParam, LPARAM lParam);
	bool OnCloseQuery();

public:
	CWaitForm();

	CGUIThread * Thread() { return thread; }
	void SetThread(CGUIThread * value);
	string& Message() { return message; }
	void SetMessage(const string &value);
};

void WaitBox(CForm * owner, CGUIThread * thread, const string &message);
