REM compiles and creates header for wrapper

REM compile all sources

del *.class
del VeriFinger\*.class
del ScanMan\*.class
del neurotechnologija\utils\*.class
javac.exe neurotechnologija\utils\*.java
javac.exe VeriFinger\*.java
javac.exe ScanMan\*.java
javac.exe *.java

REM copy compiled files to bin folder
mkdir bin
mkdir bin\neurotechnologija
mkdir bin\neurotechnologija\utils
mkdir bin\VeriFinger
mkdir bin\ScanMan
copy neurotechnologija\utils\*.class bin\neurotechnologija\utils
copy VeriFinger\*.class bin\VeriFinger
copy ScanMan\*.class bin\ScanMan
copy *.class bin

javah.exe -jni -classpath . VeriFinger.VeriFingerWrapper
javah.exe -jni -classpath . ScanMan.ScanMan

REM delete copied files
del *.class
del VeriFinger\*.class
del ScanMan\*.class
del neurotechnologija\utils\*.class

jar cvfm VFDemo.jar manifest.mf -C bin .
copy VFDemo.jar ..\..\..\bin\win32_x86\
del VFDemo.jar