#!/bin/bash

rm *.class
rm VeriFinger/*.class
rm ScanMan/*.class
rm neurotechnologija/utils/*.class
javac neurotechnologija/utils/*.java
javac VeriFinger/*.java
javac ScanMan/*.java
javac *.java

#REM cp compiled files to bin folder
cp neurotechnologija/utils/*.class bin/neurotechnologija/utils
cp VeriFinger/*.class bin/VeriFinger
cp ScanMan/*.class bin/ScanMan
cp *.class bin

javah -jni -classpath . VeriFinger.VeriFingerWrapper
javah -jni -classpath . ScanMan.ScanMan

#REM rmete copied files
rm *.class
rm VeriFinger/*.class
rm ScanMan/*.class
rm neurotechnologija/utils/*.class

rm VFDemo.jar
jar cvfm VFDemo.jar manifest.mf -C bin .
