/* $Id: demo.h 9003 2006-09-15 11:45:29Z grazvydas $ */
#ifndef __DEMO_H__
#define __DEMO_H__

#include <pthread.h>
#include <sys/time.h>
#include "fp_engine.h"

extern struct scanner_info *scanner;
extern struct scanner_info *scanner_list[];
extern pthread_mutex_t thr_mutex;
extern int con_mode;
extern HVFExtractor vf_extractor;
extern HVFMatcher vf_matcher;

void 	timer_start 	(struct timeval *time);
long 	timer_end 	(struct timeval *start);
int 	generalize 	(unsigned char *img, int w, int h, int dpi, char *name, int mode);
int 	enroll 		(unsigned char *img, int w, int h, int dpi, char *name, int mode);
int 	identify 	(unsigned char *img, int w, int h, int dpi);

#endif /* __DEMO_H__ */

