/******************************************************************************\
|*                                                                            *|
|*                        Neurotechnologija Images 2.0                        *|
|*                                                                            *|
|* NGrayscaleImage.h                                                          *|
|* Header file for NGrayscaleImage module                                     *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef N_GRAYSCALE_IMAGE_H_INCLUDED
#define N_GRAYSCALE_IMAGE_H_INCLUDED

#include "NImage.h"

#ifdef N_CPP
extern "C"
{
#endif

NResult N_API NGrayscaleImageGetPixel(HNImage hImage, NUInt x, NUInt y, NByte * pValue);
NResult N_API NGrayscaleImageSetPixel(HNImage hImage, NUInt x, NUInt y, NByte value);

#ifdef N_CPP
}
#endif

#endif // !N_GRAYSCALE_IMAGE_H_INCLUDED
