#pragma once

#include "Log.h"
#include "StdControls.h"

class CGUILog: public CLog
{
private:
	CEdit * editControl;

protected:
	void OnClear();
	void OnAddLine(const string &text);
	void OnAdd(const string &text);
	void OnUpdateState(const vector<LogState> &states);

public:
	CGUILog();

	CEdit * EditControl() { return editControl; }
	void SetEditControl(CEdit * value);
};
