#pragma once

#include "XmlUtils.h"

struct VFOptions
{
	int mode;

	int returnedImage;

	int matchingThreshold;
	int matchingSpeed;
	int maximalRotation;

	int generalizationThreshold;
	int genMaximalRotation;
};

extern VFOptions vfDefaultOptions;

void VFInitDefaultOptions();

void VFSynchronizeOptions(VFOptions &options);
void VFUpdateOptions(VFOptions &options);

void VFLoadOptions(MSXML2::IXMLDOMNodePtr node, VFOptions &value);
void VFSaveOptions(MSXML2::IXMLDOMDocumentPtr document, MSXML2::IXMLDOMNodePtr node, const VFOptions &value);
