program VFDemo_pas;

{$R 'VFDemo.res' 'VFDemo.rc'}

uses
  SysUtils,
  Forms,
  Dialogs,
  VFinger in '..\..\..\Include\Windows\VFinger.pas',
  VFFeatures in 'VFFeatures.pas',
  FormMain in 'FormMain.pas' {MainForm},
  VFControls in 'VFControls.pas',
  VFOptions in 'VFOptions.pas',
  VFImage in 'VFImage.pas',
  Utils in 'Utils.pas',
  VFImageFormatBMP in 'VFImageFormatBMP.pas',
  VFImageFormatTIFF in 'VFImageFormatTIFF.pas',
  Log in 'Log.pas',
  VFFileList in 'VFFileList.pas',
  ScanMan in '..\..\..\Include\Windows\ScanMan.pas',
  FormFileList in 'FormFileList.pas' {FileListForm},
  FormFileListEntry in 'FormFileListEntry.pas' {FileListEntryForm},
  VFDatabase in 'VFDatabase.pas',
  FormWait in 'FormWait.pas' {WaitForm},
  FormOptions in 'FormOptions.pas' {OptionsForm},
  FormAbout in 'FormAbout.pas' {AboutForm};

{$R *.res}

begin
  Application.Initialize;
  try
    VFCheckResult(VFInitialize);
    SMCheckResult(SMInitialize);
    InitDefaultOptions;
    Application.Title := 'VeriFinger Demo for Delphi 7';
    ApplicationVersionHigh := MakeDWord(5, 0);
    ApplicationVersionLow := MakeDWord(0, 1);
    ApplicationCopyright := 'Copyright  1999-2006 Neurotechnologija';
    ApplicationCompany := 'Neurotechnologija';
    ApplicationRegistryKey := 'Software\Neurotechnologija\VeriFinger\Demo';
    Application.CreateForm(TMainForm, MainForm);
  Application.Run;
    SMCheckResult(SMFinalize);
    VFCheckResult(VFFinalize);
  except
    on E: Exception do
      MessageDlg(E.Message, mtError, [mbOk], 0);
  end;
end.

